.e5-category-grid {
    display: grid;
    gap: 50px 20px;
}

.e5-cols-3 {
    grid-template-columns: repeat(3, 1fr);
}

.e5-cols-4 {
    grid-template-columns: repeat(4, 1fr);
}

.e5-category-title {
    font-size: 20px;
    font-weight: 700;
    margin: 12px 0;
}

.e5-category-title a {
	color:  var(--fs-color-primary);
}

.e5-category-card {
    background: #fff;
    border-radius: 12px;
    overflow: hidden;
    box-shadow: 0 4px 20px rgba(0,0,0,0.08);
    transition: transform .25s ease, box-shadow .25s ease;
}

.e5-category-card:hover {
    box-shadow: 0 8px 28px rgba(0,0,0,0.12);
}

.e5-category-image  {
	width: 100%;
    height: 220px;
    overflow: hidden;
	display: block;
}

.e5-category-image img {
	width: 100%;
    height: 100%;
    object-fit: cover;

}

.e5-category-desc {
	font-size: 15px;
    line-height: 1.5;

    margin-bottom: 22px;
	flex-grow: 1;
}

.e5-category-content {
    padding: 0 22px 22px 22px;
    margin-top: -45px;
	text-align: left;
}

.e5-category-icon img {
	filter: brightness(0) invert(1);
    width: 48px !important;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.e5-category-icon {
    background:  var(--fs-color-primary);
    border-radius: 50%;
    width: 80px;
    height: 80px;
	position: relative;
}

.e5-category-title {
	font-size: 20px;
    font-weight: 700;
    margin: 12px 0;
    color: var(--fs-color-primary);
}

.e5-category-button {
    border-radius: 99px !important;
    display: inline-flex;
    align-items: center;
    gap: 4px;
    font-size: 15px;
    font-weight: 600;
    background-color: var(--fs-color-primary) !important;
    color: #fff !important;
    text-transform: none;
}

.e5-category-button i {
    font-size: 16px;
    line-height: 1;
    margin-left: 4px;
}

.e5-category-button:hover {
    background: #004999;
}


@media (max-width: 1200px) {
    .e5-cols-4 {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (max-width: 900px) {
    .e5-cols-4 {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 600px) {
    .e5-cols-4 {
        grid-template-columns: repeat(1, 1fr);
    }
}